@import "settings/kint";
@import "components/asciidoc";
@import "fonts/font-awesome";
@import "components/awesome-icons";

/** Typography **/
section.main h2 {
  font-size: 40px;
  font-weight: 300;
  padding-bottom: 20px;
}

section.main h3, section.main h4, section.main h5, section.main h6 {
  font-size: 30px;
  font-weight: 300;
  padding-bottom: 20px;
}

.content {
  a {
    font-weight: 700;
    color: $body-link-color;
    text-decoration: underline;
    position: relative;
    
    &:visited {
      color: $body-link-visited-color;
    }
    
    &:hover,
    &:active {
      text-decoration: none;
    }
  }
}

ol, ul {
  margin-left: 2em;
}

.paragraph.lead > p,
#preamble > .sectionbody > [class="paragraph"]:first-of-type p {
  color: $body-font-color;
}

/** Layout **/
#header, #footer {
  width: 100%;
  max-width: 100%;
}

#header {
  background: $kint-bg-blue url('https://www.k-int.com/wp-content/themes/k-int/images/main-hero.jpg');
  background-repeat: no-repeat;
  background-size: auto;
  background-position: top center;
  
  > * {
    width: $row-width;
    max-width: $row-width;
    box-align:  center;
    margin-left: auto;
    margin-right: auto;
  }
  
  > h1:first-child {
    color: $title-font-color;
    font-size: 3.7em;
    width: $row-width;
    max-width: $row-width;
    box-align:  center;
    margin-top: 1em;
    margin-left: auto;
    margin-right: auto;
  }
  
  .details {
    border: none;
    padding: 0 1em 1em 0;
    
    color: darken($title-font-color, 10%);
    span.email a {
      // FIXME darken the $aside-font-color
      color: darken($title-font-color, 10%);
    }
  }
}

#footer-text {
  color: white;
}
